Imports Seasar.Framework.Container
Imports Seasar.Framework.Container.Factory
Imports log4net

<Assembly: log4net.Config.XmlConfigurator()> 

''' <summary>
''' LoginFormł
''' </summary>
''' <remarks></remarks>
Public Class LoginForm

#Region "tB[h & vpeB"

    Private _loginService As ILoginService
    Private _formFactory As IFormFactory

    Public WriteOnly Property LoginService() As ILoginService
        Set(ByVal value As ILoginService)
            _loginService = value
        End Set
    End Property

    Public WriteOnly Property FormFactory() As IFormFactory
        Set(ByVal value As IFormFactory)
            _formFactory = value
        End Set
    End Property

#End Region

    ''' <summary>
    ''' FormLoad鎞ɌĂ΂
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub LoginForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        ' S2Rei擾
        Dim container As IS2Container = SingletonS2ContainerFactory.Container

        ' LoginFormDI
        container.InjectDependency(Me)

        ' LoginDto쐬
        Me.LoginDtoBindingSource.DataSource = New LoginDto()

    End Sub

    ''' <summary>
    ''' OC{^ - NbN
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub Login_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Login_Button.Click

        ' OCs
        Dim result As Boolean = _loginService.Login(Me.LoginDtoBindingSource.Current)

        If result Then
            ' OC

            ' ]ƈꗗʂ擾
            Dim empViewForm As EmpViewForm = _formFactory.GetEmpViewForm()

            ' ]ƈꗗʂJ
            empViewForm.Show()

            ' OCʂ
            Me.Close()

        Else

            ' OCs
            MessageBox.Show("[UR[h̓pX[hقȂ܂", _
                "OCs", MessageBoxButtons.OK, MessageBoxIcon.Warning)

        End If

    End Sub

End Class
